<?php



class TbltestexamMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TbltestexamMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TbltestexamPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TbltestexamPeer::TABLE_NAME);
		$tMap->setPhpName('Tbltestexam');
		$tMap->setClassname('Tbltestexam');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('EX_ID', 'ExId', 'INTEGER', true, null);

		$tMap->addColumn('EX_NAME', 'ExName', 'VARCHAR', false, 255);

		$tMap->addColumn('EX_BLOG', 'ExBlog', 'INTEGER', false, null);

		$tMap->addColumn('EX_CATEGORY', 'ExCategory', 'INTEGER', false, null);

		$tMap->addColumn('EX_INFO', 'ExInfo', 'VARCHAR', false, 255);

		$tMap->addColumn('EX_QUESTIONS', 'ExQuestions', 'VARCHAR', true, 1024);

		$tMap->addColumn('EX_TIMELIMIT', 'ExTimelimit', 'INTEGER', false, null);

		$tMap->addColumn('EX_USER', 'ExUser', 'INTEGER', false, null);

		$tMap->addColumn('EX_DATE', 'ExDate', 'TIMESTAMP', false, null);

		$tMap->addColumn('EX_STATUS', 'ExStatus', 'TINYINT', false, null);

		$tMap->addColumn('EX_NOTE', 'ExNote', 'LONGVARCHAR', false, null);

	} 
} 